<?php
/**
 * Customer new document email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/customer-new-document.php.
 *
 * @param  WP_Post  $document  New document 
 * @see https://docs.woocommerce.com/document/template-structure/
 */
defined( 'ABSPATH' ) || exit;

$document_id   = (int) $document->ID;
$attached_file = basename( get_attached_file( $document_id ) );
$document_name = ! empty( $attached_file ) ? $attached_file : $document->post_title;
$account_url   = wc_get_page_permalink( 'myaccount' );
$send_attachment = $email->get_option( 'send_attachment' );

$message = sprintf(
	/* translators: %s: name of the document */ 
	__( 'A new document named <strong>%s</strong> is available in your account.', 'e-connector-for-woocommerce' ),
	$document_name
);
$account_message = sprintf(
	/* translators: %s: document page url*/ 
	__( 'Visit your <a href="%s">account page</a> to view/download the document.', 'e-connector-for-woocommerce' ),
	esc_url( $account_url )
);
if( $send_attachment && 'yes' === $send_attachment ){
	$account_message = sprintf(
		/* translators: %s: document page url*/ 
		__( 'You can find the document attached to this email, or visit your <a href="%s">account page</a> to view/download it.', 'e-connector-for-woocommerce' ),
		esc_url( $account_url )
	);
}

/*
 * @hooked WC_Emails::email_header() Output the email header
 */
do_action( 'woocommerce_email_header', $email_heading, $email );

printf( '<p>%s</p>', $message );
printf( '<p>%s</p>', $account_message );

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo wp_kses_post( wpautop( wptexturize( $additional_content ) ) );
}

/*
 * @hooked WC_Emails::email_footer() Output the email footer
 */
do_action( 'woocommerce_email_footer', $email );

