<?php
/**
 * Admin new document email (plain text)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/plain/admin-new-document.php.
 *
 * @param  WP_Post  $document  New document 
 * @see https://docs.woocommerce.com/document/template-structure/
 */

defined( 'ABSPATH' ) || exit;

$document_id   = (int) $document->ID;
$document_name = ! empty( $document->post_title ) ? $document->post_title : __( 'New document', 'e-connector-for-woocommerce' ) ;
$document_edit_url  = get_edit_post_link( $document_id );

$owner_id        = get_post_meta( $document_id, '_econnector_owner', true );
$owner_data      = (int) $owner_id ? get_userdata( $owner_id ) : false;
$owner_login     = $owner_data ? $owner_data->user_login : false;
$owner_edit_url  = get_edit_user_link( $owner_id );
$send_attachment = $email->get_option( 'send_attachment' );

$message = sprintf(
	/* translators: %1$s: name of the document, $2$s owner of the document */ 
	__( 'A new document named %1$s has been uploaded, and its owner set to %2$s.', 'e-connector-for-woocommerce' ),
	$document_name,
	$owner_login
);
if( $send_attachment && 'yes' === $send_attachment ){
	$message .= ' ' . __( 'You can find the document attached to this email.', 'e-connector-for-woocommerce' ) . "\n";
}
$edit_message = sprintf(
	/* translators: %s: document page url */ 
	__( 'Edit this document : %s', 'e-connector-for-woocommerce' ),
	$document_edit_url
);
$profile_message = sprintf(
	/* translators: %s: user edit page url */ 
	__( 'View the user : %s', 'e-connector-for-woocommerce' ),
	$owner_edit_url
);

echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n";
echo esc_html( wp_strip_all_tags( $email_heading ) );
echo "\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n\n";


echo "\n----------------------------------------\n\n";

echo esc_html( $message ) . "\n";
echo esc_html( $edit_message ) . "\n";
echo esc_html( $profile_message ) . "\n";

echo "\n\n----------------------------------------\n\n";

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo esc_html( wp_strip_all_tags( wptexturize( $additional_content ) ) );
	echo "\n\n----------------------------------------\n\n";
}

echo wp_kses_post( apply_filters( 'woocommerce_email_footer_text', get_option( 'woocommerce_email_footer_text' ) ) );
