<?php
/**
 * Admin new document email (plain text)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/plain/admin-new-document.php.
 *
 * @param  WP_Post  $document  New document 
 * @see https://docs.woocommerce.com/document/template-structure/
 */

defined( 'ABSPATH' ) || exit;

$document_id   = (int) $document->ID;
$attached_file = basename( get_attached_file( $document_id ) );
$document_name = ! empty( $attached_file ) ? $attached_file : $document->post_title;
$account_url   = wc_get_page_permalink( 'myaccount' );
$send_attachment = $email->get_option( 'send_attachment' );

$message = sprintf(
	/* translators: %s: name of the document */ 
	__( 'A new document named %s is available in your account.', 'e-connector-for-woocommerce' ),
	$document_name
);
$account_message = sprintf( 
	/* translators: %s: account page url */ 
	__( 'Visit your account page to view/download the document : %s', 'e-connector-for-woocommerce' ),
	esc_url( $account_url )
);
if( $send_attachment && 'yes' === $send_attachment ){
	$account_message = sprintf(
		/* translators: %s: account page url */ 
		__( 'You can find the document attached to this email, or visit your account page to view/download it. : %s','e-connector-for-woocommerce' ),
		esc_url( $account_url )
	);
}

echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n";
echo esc_html( wp_strip_all_tags( $email_heading ) );
echo "\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n\n";

echo "\n----------------------------------------\n\n";

echo esc_html( $message ) . "\n";
echo esc_html( $account_message ) . "\n";

echo "\n\n----------------------------------------\n\n";

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( $additional_content ) {
	echo esc_html( wp_strip_all_tags( wptexturize( $additional_content ) ) );
	echo "\n\n----------------------------------------\n\n";
}

echo wp_kses_post( apply_filters( 'woocommerce_email_footer_text', get_option( 'woocommerce_email_footer_text' ) ) );
