<?php
/**
 * Template for displaying documents tab on WooCommerce account page
 * 
 * @var int    $user_id    Current user ID
 * @var array  $documents  The user's documents.
 */

if( ! empty( $documents ) ) : ?>
    <table class="woocommerce-documents-table shop_table shop_table_responsive account-documents-table">
        <thead>
            <?php foreach ( $columns as $column => $label ) : ?>
                <th class="woocommerce-documents-table__header woocommerce-documents-table__header-<?php echo esc_attr( $column ); ?>"><?php echo esc_html( $label ); ?></th>
            <?php endforeach; ?>
        </thead>
        <tbody>
            <?php foreach ( $documents as $document_id ) : ?>
                <tr class="woocommerce-documents-table__row woocommerce-documents-table__row-single-document woocommerce-documents-table__row-single-document-<?php echo (int) $document_id ?>">
                    <?php foreach ( $columns as $column => $label ) : ?>
                        <td class="woocommerce-documents-table__cell woocommerce-documents-table__cell-<?php echo esc_attr( $column ); ?>">
                            <?php do_action( 'e_connector_for_woocommerce_documents_table_column_data', $document_id, $column ); ?>
                        </td>
                    <?php endforeach; ?>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
<?php else : ?>
    <div class="woocommerce-message woocommerce-info">
        <?php esc_html_e( 'Sorry, you have no documents yet.', 'e-connector-for-woocommerce' ); ?>
    </div>
<?php endif; ?>
